%define upstream_name    Dist-Zilla-Plugin-CheckBin
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Require that our distribution has a particular command available
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::CheckBin)
BuildRequires: perl(Dist::Zilla::Plugin::MetaResources)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuildTiny)
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuildTiny::Fallback)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
the Dist::Zilla::Plugin::CheckBin manpage is a the Dist::Zilla manpage
plugin that modifies the _Makefile.PL_ or _Build.PL_ in your distribution
to contain a the Devel::CheckBin manpage call, that asserts that a
particular command is available. If it is not available, the program exits
with a status of zero, which on a cpantesters.org machine will result in a
NA result.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes CONTRIBUTING INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-2.mga6
+ Revision: 1026121
- Rebuild for perl 5.22.2

* Thu Mar 24 2016 shlomif <shlomif> 0.7.0-1.mga6
+ Revision: 995022
- imported package perl-Dist-Zilla-Plugin-CheckBin


* Thu Mar 24 2016 cpan2dist 0.007-1mga
- initial mageia release, generated with cpan2dist
